Compound Member Index

Main Page Alphabetical List Data Structures File List Data Fields Globals

# libwmf Data Fields

a | b | c | d | e | f | g | h | i | k | l | m | n | o | p | r | s | t | u | v | w | x | y

Here is a list of all struct and union fields with links to the struct/union documentation for each field:

### - a -

- alias : _wmfXML_FontInfo, _wmfGS_FontInfo
- argc : _wmfAPI_Options
- argv : _wmfAPI_Options

### - b -

- b : _wmfRGB
- bbox : _wmf_x_t, _wmf_template_t, _wmf_svg_t, _wmf_plot_t, _wmf_magick_t, _wmfDrawText_t, _wmf_gd_t, _wmf_fig_t, _wmf_eps_t
- bbuf : _wmfAPI
- bgcolor : _wmfDC
- bgmode : _wmfDC
- BL : _wmfDrawText_t
- black : _wmf_x_t
- blue : _wmf_x_t
- bmp : _wmfBMP_Draw_t, _wmfBMP_Read_t, _wmfBrush
- bmp_draw : _wmfFunctionReference
- bmp_free : _wmfFunctionReference
- bmp_read : _wmfFunctionReference
- bold : _wmfFontMap
- bolditalic : _wmfFontMap
- Bottom : _wmfPlaceableMetaHeader
- BR : _wmfD_Rect, _wmfDrawText_t, _wmfROP_Draw_t, _wmfPolyRectangle_t, _wmfDrawRectangle_t, _wmfDrawArc_t
- breakextra : _wmfDC
- brush : _wmf_x_t, _wmfDC
- buffer : _wmfAPI, _wmfBMP_Read_t
- buffer_data : _wmfAPI

### - c -

- cache : _wmfFontData
- charextra : _wmfDC
- Checksum : _wmfPlaceableMetaHeader
- class : _wmf_x_t
- clip : _wmfDC
- color : _wmf_x_t, _wmfDrawPixel_t, _wmfFlood_t
- color_data : _wmfAPI
- colormap : _wmf_x_t
- context : _wmfStream, _wmfAPI, _wmfAPI_Options, _wmf_svg_t::_wmf_svg_image, _wmf_magick_t::_wmf_magick_image, _wmf_gd_t::_wmf_gd_sink, _wmf_fig_t::_wmf_fig_image
- count : _wmfPolyRectangle_t, _wmfPolyLine_t, _wmfColorData
- Creator : _wmf_fig_t, _wmf_eps_t
- crop : _wmfBMP_Draw_t

### - d -

- data : _wmfUserData_t, _wmfBMP
- Date : _wmf_fig_t, _wmf_eps_t
- dc : _wmfUserData_t, _wmfDrawText_t, _wmfROP_Draw_t, _wmfBMP_Draw_t, _wmfPolyRectangle_t, _wmfDrawRectangle_t, _wmfPolyLine_t, _wmfDrawLine_t, _wmfDrawArc_t, _wmfDrawPixel_t, _wmfFlood_t
- ddec : _wmf_fig_t
- debug_out : _wmfAPI, _wmfAPI_Options
- depth : _wmf_x_t, _wmf_fig_t
- Description : _wmf_svg_t
- device_begin : _wmfFunctionReference
- device_close : _wmfFunctionReference
- device_data : _wmfAPI
- device_end : _wmfFunctionReference
- device_open : _wmfFunctionReference
- dirs : _wmfAPI_Options
- display : _wmf_x_t
- display_name : _wmf_x_t
- dpi : _wmf_fig_t
- draw_arc : _wmfFunctionReference
- draw_chord : _wmfFunctionReference
- draw_ellipse : _wmfFunctionReference
- draw_line : _wmfFunctionReference
- draw_pie : _wmfFunctionReference
- draw_pixel : _wmfFunctionReference
- draw_polygon : _wmfFunctionReference
- draw_rectangle : _wmfFunctionReference
- draw_text : _wmfFunctionReference

### - e -

- encoding : _wmfMapping, _wmfFT_Mapping
- end : _wmfDrawArc_t
- eps_height : _wmf_eps_t
- eps_width : _wmf_eps_t
- eps_x : _wmf_eps_t
- eps_y : _wmf_eps_t
- err : _wmfAPI
- error_out : _wmfAPI, _wmfAPI_Options

### - f -

- face : _wmfFT_CacheEntry, _wmfFT_Mapping
- familyname : _wmfXML_FontInfo
- FD : _wmfFontData
- FI : _wmfXML_FontData, _wmfGS_FontData
- fig_data : _wmf_fig_t
- fig_height : _wmf_fig_t
- fig_width : _wmf_fig_t
- fig_x : _wmf_fig_t
- fig_y : _wmf_fig_t
- File : _wmfAPI
- file : _wmf_plot_t, _wmf_gd_t
- filein : _wmfMetaHeader
- FileSize : _wmfHead
- FileType : _wmfHead
- flags : _wmf_x_t, _wmfAPI, _wmf_template_t, _wmf_svg_t, _wmf_plot_t, _wmf_magick_t, _wmfDrawText_t, _wmf_gd_t, _wmf_fig_t, _wmf_eps_t
- flood_exterior : _wmfFunctionReference
- flood_interior : _wmfFunctionReference
- font : _wmfAPI_Options, _wmfDC
- font_data : _wmfAPI
- font_height : _wmfDrawText_t
- font_ratio : _wmfDrawText_t
- fontdirs : _wmfAPI_Options, _wmfFontData
- fonts : _wmfAPI
- For : _wmf_fig_t, _wmf_eps_t
- format : _wmfXML_FontInfo, _wmf_fig_t
- free : _wmfAPI_Options
- from : _wmfDrawLine_t
- ft_face : _wmfFont
- fullname : _wmfXML_FontInfo
- function : _wmfAPI, _wmfAPI_Options, _wmf_gd_t::_wmf_gd_sink
- function_reference : _wmfAPI

### - g -

- g : _wmfRGB
- gc : _wmf_x_t
- gd_data : _wmf_gd_t
- gd_image : _wmf_gd_t
- glyphs : _wmfXML_FontInfo
- green : _wmf_x_t
- GS : _wmfFontData
- gs_fontmap_file : _wmfAPI_Options

### - h -

- h : _wmfBMP_Draw_t
- Handle : _wmfPlaceableMetaHeader
- hatch : _wmf_x_t
- Head : _wmfAPI
- HeaderSize : _wmfHead
- height : _wmf_svg_t, _wmf_plot_t, _wmf_magick_t, _wmfBMP_Read_t, _wmfPolyRectangle_t, _wmfDrawRectangle_t, _wmfDC, _wmfPen, _wmfBMP, _wmf_gd_t

### - i -

- icon_name : _wmf_x_t
- image : _wmf_svg_t, _wmf_magick_t, _wmf_fig_t
- Inch : _wmfPlaceableMetaHeader
- italic : _wmfFontMap

### - k -

- Key : _wmfPlaceableMetaHeader

### - l -

- lbColor : _wmfBrush
- lbHatch : _wmfBrush
- lbStyle : _wmfBrush
- Left : _wmfPlaceableMetaHeader
- len : _wmfXML_FontData, _wmfGS_FontData
- length : _wmfAPI, _wmfBMP_Read_t
- lfCharSet : _wmfFont
- lfClipPrecision : _wmfFont
- lfEscapement : _wmfFont
- lfFaceName : _wmfFont
- lfHeight : _wmfFont
- lfItalic : _wmfFont
- lfOrientation : _wmfFont
- lfOutPrecision : _wmfFont
- lfPitchAndFamily : _wmfFont
- lfQuality : _wmfFont
- lfStrikeOut : _wmfFont
- lfUnderline : _wmfFont
- lfWeight : _wmfFont
- lfWidth : _wmfFont
- Library : _wmfFontData
- lopnColor : _wmfPen
- lopnStyle : _wmfPen

### - m -

- malloc : _wmfAPI_Options
- map : _wmfFontData
- map_mode : _wmfDC
- mapping : _wmfMapping, _wmfFT_Mapping
- mask : _wmf_x_t
- max : _wmfColorData, _wmfXML_FontData, _wmfGS_FontData
- MaxRecordSize : _wmfHead
- memory : _wmf_gd_t
- memory_data : _wmfAPI
- MetaHeader : _wmfAPI
- metrics : _wmfXML_FontInfo
- module : _wmfAPI_Options

### - n -

- name : _wmfFontMap, _wmfMapping, _wmf_svg_t::_wmf_svg_image, _wmf_magick_t::_wmf_magick_image, _wmfXML_FontInfo, _wmfGS_FontInfo, _wmfFT_CacheEntry, _wmfFT_Mapping, _wmf_fig_t::_wmf_fig_image
- normal : _wmfFontMap
- NumOfObjects : _wmfHead
- NumOfParams : _wmfHead

### - o -

- offset : _wmfBMP_Read_t
- out : _wmf_svg_t, _wmf_magick_t, _wmf_fig_t, _wmf_eps_t
- Ox : _wmfDC
- Oy : _wmfDC

### - p -

- page_height : _wmf_eps_t
- page_width : _wmf_eps_t
- path : _wmfFT_CacheEntry
- pen : _wmfDC
- pixel_height : _wmfROP_Draw_t, _wmfBMP_Draw_t, _wmfDrawPixel_t, _wmfFlood_t, _wmfDC
- pixel_width : _wmfROP_Draw_t, _wmfBMP_Draw_t, _wmfDrawPixel_t, _wmfFlood_t, _wmfDC
- pixmap : _wmf_x_t
- placeable : _wmfMetaHeader
- PlaceableMetaHeader : _wmfAPI
- player_data : _wmfAPI
- plot_data : _wmf_plot_t
- pmh : _wmfMetaHeader
- poly_line : _wmfFunctionReference
- polyfillmode : _wmfDC
- pos : _wmfMetaHeader
- ps : _wmfAPI_Options, _wmfFontData
- ps_name : _wmfFont
- pt : _wmfDrawText_t, _wmfBMP_Draw_t, _wmfPolyLine_t, _wmfDrawPixel_t, _wmfFlood_t

### - r -

- r : _wmfRGB
- read : _wmfAPI
- realloc : _wmfAPI_Options
- red : _wmf_x_t
- region_clip : _wmfFunctionReference
- region_frame : _wmfFunctionReference
- region_paint : _wmfFunctionReference
- Reserved : _wmfPlaceableMetaHeader
- reset : _wmfStream
- rgb : _wmfColorData
- Right : _wmfPlaceableMetaHeader
- root : _wmf_x_t
- ROP : _wmfROP_Draw_t
- rop_draw : _wmfFunctionReference
- ROPmode : _wmfDC

### - s -

- seek : _wmfAPI
- sink : _wmf_gd_t
- sputs : _wmfStream
- start : _wmfDrawArc_t
- status : _wmfAPI
- str : _wmfDrawText_t
- string_buffer : _wmfAPI
- sub : _wmfAPI_Options, _wmfFontData
- sys_fontmap_file : _wmfAPI_Options

### - t -

- tell : _wmfAPI
- textalign : _wmfDC
- textcolor : _wmfDC
- Title : _wmf_fig_t, _wmf_eps_t
- TL : _wmfD_Rect, _wmfDrawText_t, _wmfROP_Draw_t, _wmfPolyRectangle_t, _wmfDrawRectangle_t, _wmfDrawArc_t
- to : _wmfDrawLine_t
- Top : _wmfPlaceableMetaHeader
- TR : _wmfDrawText_t
- type : _wmf_plot_t, _wmfBMP_Draw_t, _wmfFlood_t, _wmf_gd_t

### - u -

- udata_copy : _wmfFunctionReference
- udata_free : _wmfFunctionReference
- udata_init : _wmfFunctionReference
- udata_set : _wmfFunctionReference
- user_data : _wmfAPI
- userdata : _wmfDC

### - v -

- version : _wmfXML_FontInfo
- Version : _wmfHead
- visual : _wmf_x_t

### - w -

- w : _wmfBMP_Draw_t
- weight : _wmfXML_FontInfo
- white : _wmf_x_t
- width : _wmf_svg_t, _wmf_plot_t, _wmf_magick_t, _wmfBMP_Read_t, _wmfPolyRectangle_t, _wmfDrawRectangle_t, _wmfDC, _wmfPen, _wmfBMP, _wmf_gd_t
- window : _wmf_x_t
- Window : _wmfDC
- window_name : _wmf_x_t
- wmf : _wmfAPI_Options, _wmfFontData
- wmfheader : _wmfMetaHeader

### - x -

- x : _wmfD_Coord, _wmfBMP_Draw_t
- x_height : _wmf_x_t
- x_width : _wmf_x_t
- xtra_fontmap_file : _wmfAPI_Options

### - y -

- y : _wmfD_Coord, _wmfBMP_Draw_t